Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.genericinsurability.core.v1
Enum InsurabilityContactTypeType

    java.lang.Object
      java.lang.Enum<InsurabilityContactTypeType>
          be.fgov.ehealth.genericinsurability.core.v1.InsurabilityContactTypeType

All Implemented Interfaces:
  Serializable, Comparable<InsurabilityContactTypeType>

    public enum InsurabilityContactTypeType

extends Enum<InsurabilityContactTypeType>

Java class for InsurabilityContactTypeType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="InsurabilityContactTypeType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="ambulatory_care"/>
         <enumeration value="hospitalized_for_day"/>
         <enumeration value="hospitalized_elsewhere"/>
         <enumeration value="other"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`AMBULATORY_CARE`
`HOSPITALIZED_ELSEWHERE`
`HOSPITALIZED_FOR_DAY`
`OTHER`

Method Summary
`static InsurabilityContactTypeType` | `fromValue(String v)`
`String` | `value()`
`static InsurabilityContactTypeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InsurabilityContactTypeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AMBULATORY_CARE

    public static final InsurabilityContactTypeType AMBULATORY_CARE

### HOSPITALIZED_FOR_DAY

    public static final InsurabilityContactTypeType HOSPITALIZED_FOR_DAY

### HOSPITALIZED_ELSEWHERE

    public static final InsurabilityContactTypeType HOSPITALIZED_ELSEWHERE

### OTHER

    public static final InsurabilityContactTypeType OTHER

Method Detail

### values

    public static InsurabilityContactTypeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InsurabilityContactTypeType c : InsurabilityContactTypeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InsurabilityContactTypeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static InsurabilityContactTypeType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.